
---@alias InterruptList table<number, table<number, { kickable: boolean, sweepable: boolean, paraliseable: boolean }>>

---@type InterruptList
local _InterruptList  = {
  -- kick, stun, disorient, incap
  --
  -- HoV
  --
      -- Thunder Caller
  [95842] = {
      -- Thunderous Blast
      [198585] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Mystic
  [95834] = {
      -- Holy Radiance
      [215433] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Runcarver
  [96664] = {
      -- Etch
      [198959] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Marksman
  [96640] = {
      -- Penetrating Shot
      [199210] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Shieldmaiden
  [95832] = {
      -- Mortal Hew
      [199050] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Shieldmaiden 2
  [101639] = {
      -- Mortal Hew
      [199050] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Odyn Add
  [102019] = {
      -- Surge
      [198750] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
  --
  -- Court of Stars
  --
      -- Duskwatch Guard
  [111563] = {
      -- Fortification
      [209033] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Duskwatch Guard 2
  [104246] = {
      -- Fortification
      [209033] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Sentry
  [104251] = {
      -- Sound the Alarm
      [210261] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Construct
  [104270] = {
      -- Suppress
      [209413] = {
        kickable = true, sweepable = false, paraliseable = false
      },
      -- Charging Station
      [225100] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Bound Energy
  [105705] = {
      -- Charged Blast
      [212031] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Arcane Manifestation
  [105704] = {
      -- Drain Magic
      [209485] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Watchful Inquisitor
  [105715] = {
      -- Searing Glare
      [211299] = {
          kickable = true, sweepable = false, paraliseable = false
      },
      -- Eye Storm
      [212784] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Blazing Imp
  [104295] = {
      -- Drifting Embers
      [211401] = {
        kickable = true, sweepable = true, paraliseable = false
      },
      -- Drifting Embers 2
      [211406] = {
        kickable = true, sweepable = true, paraliseable = false
      },
      -- Fireball
      [211412] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Shadow Mistress
  [104300] = {
      -- Bewitch
      [211470] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Balgarr
  [104274] = {
      -- Disintegration Beam
      [207980] = {
        kickable = true, sweepable = false, paraliseable = false
      },
      -- Disintigration Beam 2
      [207981] = {
        kickable = true, sweepable = false, paraliseable = false
      },
      -- Impending Doom
      [397907] = {
        kickable = true, sweepable = false, paraliseable = false
      },
      -- Impending Doom 2
      [397908] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Talixae Flamewreath
  [104217] = {
      -- Withering Soul
      [208165] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
  --
  -- RLP
  --
      -- Earthshaper
  [187969] = {
      -- Tectonic Slam
      [372735] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Chillweaver
  [188067] = {
      -- Ice Shield
      [384933] = {
        kickable = true, sweepable = true, paraliseable = true
      },
      -- Ice Shield 2
      [372749] = {
        kickable = true, sweepable = true, paraliseable = true
      },
      -- Ice Shield 3
      [372743] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Meledrusa
  [188252] = {
      -- Frost Overload
      [373680] = {
        kickable = true, sweepable = false, paraliseable = false
      },
      -- Frost Overload 2
      [373688] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Cinderweaver
  [190207] = {
      -- Cinderbolt 1
      [384194] = {
        kickable = true, sweepable = false, paraliseable = false
      },
      -- Cinderbolt 2
      [384197] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Flame Dancer
  [190206] = {
      -- Flame Dance
      [385536] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Blazebound Firestorm
  [189886] = {
      -- Roaring Blaze
      [373017] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Tempest Channeler
  [198047] = {
      -- Thunder Bolt
      [392576] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Flame Channeler
  [197985] = {
      -- Flashfire
      [392451] = {
        kickable = true, sweepable = true, paraliseable = false
      },
      -- Flashfire
      [392452] = {
        kickable = true, sweepable = true, paraliseable = false
      },
  },
  --
  -- NO
  --
      -- Hornsounder
  [192796] = {
      -- Rally The Clan
      [383823] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Plainstomper
  [191847] = {
      -- Disruptive Shout
      [384365] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Lancemaster
  [192800] = {
      -- Disruptive Shout
      [384365] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Arcblade
  [194898] = {
      -- Arcing Strike
      [387135] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Stormcaller Botoo
  [194317] = {
      -- Stormbolt
      [386012] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Thunderbeast
  [195696] = {
      -- Chain Lightning
      [387127] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
  [194894] = {
      -- Tempest
      [386025] = {
        kickable = true, sweepable = true, paraliseable = true
      },
      -- Tempest 2
      [386024] = {
        kickable = true, sweepable = true, paraliseable = true
      },
      -- Summon Squall
      [386015] = {
        kickable = true, sweepable = true, paraliseable = true
      },
      -- Stormbolt
      [386012] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Squall
  [194895] = {
      -- Surge
      [386026] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Stormcaller Arynga
  [195265] = {
      -- Stormbolt
      [386012] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Nokhud Neophyte
  [196263] = {
      -- Stormbolt
      [386012] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Stormcaller Solongo
  [194315] = {
      -- Stormbolt
      [386012] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Stormcaller Zarii
  [194316] = {
      -- Stormbolt
      [386012] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Soulharvester Galtmaa
  [195927] = {
      -- Death Bolt Volley
      [387411] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Soulharvester Tumen
  [195929] = {
      -- Death Bolt Volley
      [387411] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Soulharvester Mandakh
  [195930] = {
      -- Death Bolt Volley
      [387411] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Soulharvester Duuren
  [195928] = {
      -- Death Bolt Volley
      [387411] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Beastcaller
  [195878] = {
      -- Desecrated Roar
      [387440] = {
        kickable = true, sweepable = true, paraliseable = true
      },
      -- Heavy Slash
      [387826] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Mystic
  [195877] = {
      -- Swift Wind
      [387596] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Risen Warrior
  [195855] = {
      -- Mortal Strike
      [388801] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Teera
  [186339] = {
      -- Guardian Wind
      [384808] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Batak
  [193462] = {
      -- Bloodcurdling Shout
      [373395] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Balakar Add
  [190294] = {
      -- Storm Bolt
      [376725] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
  --
  -- AV
  --
      -- Lasher
  [196102] = {
      -- Mystic Vapors
      [387564] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      --Arcane Tender
  [196115] = {
      -- Erratic Growth
      [375596] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      --Arcane Tender 2
  [191164] = {
      -- Erratic Growth
      [375596] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Crystal Fury
  [187160] = {
      -- Shards
      [370764] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Arcane Elemental
  [186741] = {
      -- Waking Bane
      [386546] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Curator
  [187154] = {
      -- Heavy Tome
      [389804] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Rune Seal Keeper
  [187155] = {
      -- Icy Bindings
      [377488] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Crystal Fury
  [196116] = {
      -- Shards
      [370764] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Vault Guard
  [190510] = {
      -- Ice Cutter
      [377105] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Frog
  [187246] = {
      -- Null Stomp
      [386526] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
  --
  -- AA
  --
      -- Scepter
  [196576] = {
      -- Mystic Blast
      [396812] = {
        kickable = true, sweepable = true, paraliseable = true
      },
      -- Arcane Rain
      [388886] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Textbook
  [196044] = {
      -- Lecture
      [388392] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Eagle
  [192333] = {
      -- Call The Flock
      [377389] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Echoknight
  [196200] = {
      -- Whirlwind
      [387910] = {
        kickable = false, sweepable = true, paraliseable = true
      }
  },
      -- Invoker
  [196202] = {
      -- Arcane Missiles
      [387975] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
  --
  -- SMBG
  --
      -- Bone Mender
  [75713] = {
      -- Shadow Mend
      [152818] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Ritual Bones
  [75715] = {
      -- Void Slash
      [164907] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Defiled Spirit
  [75451] = {
      -- Cry of Anguish
      [398154] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Dominator
  [76446] = {
      -- Voidlash
      [156776] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Spider
  [76104] = {
      -- Necrotic Burst
      [156718] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Bat
  [75459] = {
      -- Plague Spit
      [153524] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
  --
  -- TJS
  --
      -- Waterspeaker
  [200126] = {
      -- Hydrolance
      [397888] = {
        kickable = true, sweepable = true, paraliseable = true
      },
      -- Tidal Burst
      [397889] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Wise Mari
  [56448] = {
      -- Hydrolance
      [397801] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Haunting Sha
  [59555] = {
      -- Gaze
      [114646] = {
        kickable = false, sweepable = true, paraliseable = true
      },
      -- Scream
      [398859] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Fish
  [59546] = {
      -- Sleepy
      [395872] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Hozen
  [59552] = {
      -- Fit of Rage
      [396018] = {
        kickable = true, sweepable = false, paraliseable = false
      }
  },
      -- Golden Beetle
  [59545] = {
      -- Staggering Blow
      [396019] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Tiger
  [59544] = {
      -- Cat Nap
      [396073] = {
        kickable = true, sweepable = true, paraliseable = false
      }
  },
      -- Mistweaver
  [200137] = {
      -- Defilling Mist
      [397914] = {
        kickable = true, sweepable = true, paraliseable = true
      }
  },
      -- Guardian
  [200131] = {
      -- Leg Sweep
      [397899] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  },
      -- Minion of Doubt
  [57109] = {
      -- Dark Claw
      [397931] = {
        kickable = false, sweepable = true, paraliseable = false
      }
  }
}

return _InterruptList